RevisionTypeType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities
Class RevisionTypeType

    java.lang.Object
      org.hibernate.envers.entities.RevisionTypeType

All Implemented Interfaces:
  Serializable, UserType

    public class RevisionTypeType

extends Object
implements UserType, Serializable

A hibernate type for the `RevisionType` enum.

See Also:
  Serialized Form

Constructor Summary
`RevisionTypeType()`

Method Summary
`Object` | `assemble(Serializable cached, Object owner)` Reconstruct an object from the cacheable representation.
`Object` | `deepCopy(Object value)` Return a deep copy of the persistent state, stopping at entities and at collections.
`Serializable` | `disassemble(Object value)` Transform the object into its cacheable representation.
`boolean` | `equals(Object x, Object y)` Compare two instances of the class mapped by this type for persistence "equality".
`int` | `hashCode(Object x)` Get a hashcode for the instance, consistent with persistence "equality"
`boolean` | `isMutable()` Are objects of this type mutable?
`RevisionType` | `nullSafeGet(ResultSet resultSet, String[] names, SessionImplementor session, Object owner)` Retrieve an instance of the mapped class from a JDBC resultset.
`void` | `nullSafeSet(PreparedStatement preparedStatement, Object value, int index, SessionImplementor session)` Write an instance of the mapped class to a prepared statement.
`Object` | `replace(Object original, Object target, Object owner)` During merge, replace the existing (target) value in the entity we are merging to with a new (original) value from the detached entity we are merging.
`Class` | `returnedClass()` The class returned by `nullSafeGet()`.
`int[]` | `sqlTypes()` Return the SQL type codes for the columns mapped by this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevisionTypeType

    public RevisionTypeType()

Method Detail

### sqlTypes

    public int[] sqlTypes()

  Description copied from interface: `UserType`
  Return the SQL type codes for the columns mapped by this type. The codes are defined on `java.sql.Types`.

  Specified by:
    `sqlTypes` in interface `UserType`
  Returns:
    int[] the typecodes
  See Also:
    `Types`

### returnedClass

    public Class returnedClass()

  Description copied from interface: `UserType`
  The class returned by `nullSafeGet()`.

  Specified by:
    `returnedClass` in interface `UserType`
  Returns:
    Class

### nullSafeGet

    public RevisionType nullSafeGet(ResultSet resultSet,
                                    String[] names,
                                    SessionImplementor session,
                                    Object owner)
                             throws HibernateException,
                                    SQLException

  Description copied from interface: `UserType`
  Retrieve an instance of the mapped class from a JDBC resultset. Implementors should handle possibility of null values.

  Specified by:
    `nullSafeGet` in interface `UserType`
  Parameters:
    `resultSet` - a JDBC result set
    `names` - the column names
    `owner` - the containing entity @return Object
  Throws:
    `HibernateException`
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement preparedStatement,
                            Object value,
                            int index,
                            SessionImplementor session)
                     throws HibernateException,
                            SQLException

  Description copied from interface: `UserType`
  Write an instance of the mapped class to a prepared statement. Implementors should handle possibility of null values. A multi-column type should be written to parameters starting from `index`.

  Specified by:
    `nullSafeSet` in interface `UserType`
  Parameters:
    `preparedStatement` - a JDBC prepared statement
    `value` - the object to write
    `index` - statement parameter index
  Throws:
    `HibernateException`
    `SQLException`

### deepCopy

    public Object deepCopy(Object value)
                    throws HibernateException

  Description copied from interface: `UserType`
  Return a deep copy of the persistent state, stopping at entities and at collections. It is not necessary to copy immutable objects, or null values, in which case it is safe to simply return the argument.

  Specified by:
    `deepCopy` in interface `UserType`
  Parameters:
    `value` - the object to be cloned, which may be null
  Returns:
    Object a copy
  Throws:
    `HibernateException`

### isMutable

    public boolean isMutable()

  Description copied from interface: `UserType`
  Are objects of this type mutable?

  Specified by:
    `isMutable` in interface `UserType`
  Returns:
    boolean

### assemble

    public Object assemble(Serializable cached,
                           Object owner)
                    throws HibernateException

  Description copied from interface: `UserType`
  Reconstruct an object from the cacheable representation. At the very least this method should perform a deep copy if the type is mutable. (optional operation)

  Specified by:
    `assemble` in interface `UserType`
  Parameters:
    `cached` - the object to be cached
    `owner` - the owner of the cached object
  Returns:
    a reconstructed object from the cachable representation
  Throws:
    `HibernateException`

### disassemble

    public Serializable disassemble(Object value)
                             throws HibernateException

  Description copied from interface: `UserType`
  Transform the object into its cacheable representation. At the very least this method should perform a deep copy if the type is mutable. That may not be enough for some implementations, however; for example, associations must be cached as identifier values. (optional operation)

  Specified by:
    `disassemble` in interface `UserType`
  Parameters:
    `value` - the object to be cached
  Returns:
    a cachable representation of the object
  Throws:
    `HibernateException`

### replace

    public Object replace(Object original,
                          Object target,
                          Object owner)
                   throws HibernateException

  Description copied from interface: `UserType`
  During merge, replace the existing (target) value in the entity we are merging to with a new (original) value from the detached entity we are merging. For immutable objects, or null values, it is safe to simply return the first parameter. For mutable objects, it is safe to return a copy of the first parameter. For objects with component values, it might make sense to recursively replace component values.

  Specified by:
    `replace` in interface `UserType`
  Parameters:
    `original` - the value from the detached entity being merged
    `target` - the value in the managed entity
  Returns:
    the value to be merged
  Throws:
    `HibernateException`

### hashCode

    public int hashCode(Object x)
                 throws HibernateException

  Description copied from interface: `UserType`
  Get a hashcode for the instance, consistent with persistence "equality"

  Specified by:
    `hashCode` in interface `UserType`
  Throws:
    `HibernateException`

### equals

    public boolean equals(Object x,
                          Object y)
                   throws HibernateException

  Description copied from interface: `UserType`
  Compare two instances of the class mapped by this type for persistence "equality". Equality of the persistent state.

  Specified by:
    `equals` in interface `UserType`
  Returns:
    boolean
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.